Subject: RE: LAST CALL - I-D ACTION:draft-ietf-ediint-as2-03.txt

From: Gunther Schadow <[email-masked]>
Date: Tue, 23 Feb 1999 15:52:47 -0500 (EST)

Dale, Carl, Rik,

> >2.3 Other Reply Content
>
> {omitted stuff)
>
> >Real-time EDI processing systems MAY use a MIME
> >multipart/mixed to include a response EDI message, for example
> >a Quote in response to a Request-For-Quote transaction. In this
> >case, the EDI transaction is labelled with the "application" Content-
> >Type, combined with the MDN using a multipart/mixed, then
> >digitally signed using a multipart/signed.
>
>
> Carl, this is a departure from our attempt to leave the data formats
> in the smtp and http cases basically similar. I think you should
> provide some more reasoning why the default case is to have
> a multipart/signed over a multipart/mixed (including one part that
> is a multipart/report and some other part(s)). The multipart/mixed
> could consist of two multipart/signeds or just the signed MDN and
> some other data relevant to the transaction for which no signature
> is required by the TP agreement, and so on. Why not just leave
> the extension open to any " legal" MIME and security multipart approach
> since this is an extension to the core profiling of the EDIINT WG? So just
> stop after noting that we need a multipart/mixed.

Have you looked at the HL7 document (draft-ietf-ediint-hl7-00.txt)? We
have had a similar discussion in fall 1997 about sending an EDI
response message along with the MDN receipt in a multipart. However,
after consulting with this group I came up with the proposal to use
multipart/related to bundle MDN and EDI response. Carl, if you suggest
such a thing to be done using multipart/mixed now, we (I) either made
a mistake in fall 1997 or we are about to make a mistake today. I
believe that all EDIINT standards should promote just one way of doing
this.

regards
-Gunther

Gunther Schadow ----------------------------------- http://aurora.rg.iupui.edu
Regenstrief Institute for Health Care
1001 W 10th Street RG5, Indianapolis IN 46202, Phone: (317) 630 7960
[email-masked] ---------------------- #include <usual/disclaimer>

---

From: "Carl Hage" <[email-masked]>
Date: Tue, 23 Feb 1999 17:43:06 -0800

Date sent:      	Tue, 23 Feb 1999 15:52:47 -0500 (EST)
From:           	Gunther Schadow <[email-masked]>

> I came up with the proposal to use
> a mistake in fall 1997 or we are about to make a mistake today. 

Oh, right. You used multipart/related to signify that the new 
transaction was as a result of the transaction labelled with the 
MDN. This seems reasonable to me.

I think a good implementation of an EDI interface would be to 
properly handle all resonably formed MIME data, which probably 
means that it should be able to parse both a multipart/mixed as 
well as multipart/related.

I think your proposal is good, requiring multipart/related to indicate 
that the EDI data included in the multipart is a "response" to the 
message referenced in the MDN. In this case, the processor 
should recognize preconfigured MIME content-types in the 
multipart, and pass them off for processing along with the related 
message ID in the MDN.

If multpart/mixed were used, then the reader should not consider 
the content to be related to any other message. The MIME 
processor should recognize the preconfigured MIME types and 
pass them off for processing without any prior message 
association.
--------------------------------------------------------------------------
Carl Hage                                              C. Hage Associates
<mailto:[email-masked]> Voice/Fax: 1-408-244-8410      1180 Reed Ave #51
<http://www.chage.com/chage/>                          Sunnyvale, CA 94086